Your organisation

Read-only views of your organisation for any member: its details, the licences it has, whether it's licensed for an app, its people, groups and domains. (Changing them is in the Admin Centre API.)

MethodPathSummary
GET/v1/tenant/infoGet your organisation
GET/v1/tenant/licensesYour organisation's licences
POST/v1/tenant/check-licenseIs the organisation licensed for an app?
GET/v1/tenant/usersPeople in your organisation
GET/v1/tenant/groupsGroups in your organisation
POST/v1/tenant/groups/membersMembers of a group
GET/v1/tenant/domainsYour organisation's domains
GET/tenant/infoGet your organisation (legacy)
GET/tenant/licensesYour organisation's licences (legacy)
POST/tenant/check-licenseIs the organisation licensed for an app? (legacy)

#Get your organisation

GET/v1/tenant/info
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/info
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
tenantany
Example response
JSON
{
  "tenant": null
}

Errors

StatusMessage
404User not found
404Tenant not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/info' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Your organisation's licences

GET/v1/tenant/licenses
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/licenses
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
userobject
user.idinteger
user.emailstring
tenantany
licensedApplicationsarray of any
Example response
JSON
{
  "user": {
    "id": 42,
    "email": "alex@example.com"
  },
  "tenant": null,
  "licensedApplications": []
}

Errors

StatusMessage
404User not found
404Tenant not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/licenses' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Is the organisation licensed for an app?

POST/v1/tenant/check-license
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/check-license
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
application_idintegerThe app's id (e.g. 2 for RMM, 7 for PSA).

Response 200

FieldTypeDescription
messagestring
licensedboolean
userobject
user.idinteger
user.emailstring
tenantany
applicationobject
application.application_idinteger
application.application_namestring
application.application_linkany
application.application_logoany
licenseobject
license.package_idinteger
license.package_namestring
license.package_descriptionstring
license.license_expiryany
Example response
JSON
{
  "message": "Saved",
  "licensed": false,
  "user": {
    "id": 42,
    "email": "alex@example.com"
  },
  "tenant": null,
  "application": {
    "application_id": 7,
    "application_name": "Example application name",
    "application_link": null,
    "application_logo": null
  },
  "license": {
    "package_id": 7,
    "package_name": "Example package name",
    "package_description": "string",
    "license_expiry": null
  }
}

Errors

StatusMessage
404User not found
404Tenant not found
403User is not licensed for this application

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/tenant/check-license' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"application_id":7}'

#People in your organisation

GET/v1/tenant/users
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/users
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
messagestring
Example response
JSON
{
  "message": "Saved"
}

Errors

StatusMessage
404User not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/users' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Groups in your organisation

GET/v1/tenant/groups
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/groups
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
groupsarray of object
groups[].group_idinteger
groups[].group_namestring
groups[].membersboolean
Example response
JSON
{
  "groups": [
    {
      "group_id": 7,
      "group_name": "Example group name",
      "members": false
    }
  ]
}

Errors

StatusMessage
400tenant_id missing on token

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Members of a group

POST/v1/tenant/groups/members
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
group_idrequiredintegerThe group.

Response 200

Errors

StatusMessage
400tenant_id missing on token
400group_id is required
404Group not found for this tenant

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/tenant/groups/members' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"group_id":7}'

#Your organisation's domains

GET/v1/tenant/domains
Address
https://<your-org>.brambleit.cloud/api/v1/tenant/domains
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
dataarray of object
data[].domainstring
Example response
JSON
{
  "data": [
    {
      "domain": "string"
    }
  ]
}

Errors

StatusMessage
404User not found
404Group not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/tenant/domains' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Get your organisation (legacy)

GET/tenant/info
Address
https://<your-org>.brambleit.cloud/api/tenant/info
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
tenantany
Example response
JSON
{
  "tenant": null
}

Errors

StatusMessage
404User not found
404Tenant not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/tenant/info' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Your organisation's licences (legacy)

GET/tenant/licenses
Address
https://<your-org>.brambleit.cloud/api/tenant/licenses
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Response 200

FieldTypeDescription
userobject
user.idinteger
user.emailstring
tenantany
licensedApplicationsarray of any
areasarray of any
oidcAppsarray of object
oidcApps[].client_idstring
oidcApps[].namestring
oidcApps[].launch_urlstring, or null
oidcApps[].icon_urlstring, or null
customLinksarray of object
customLinks[].idinteger
customLinks[].namestring
customLinks[].urlstring
customLinks[].icon_urlstring, or null
Example response
JSON
{
  "user": {
    "id": 42,
    "email": "alex@example.com"
  },
  "tenant": null,
  "licensedApplications": [],
  "areas": [],
  "oidcApps": [
    {
      "client_id": "string",
      "name": "Example name",
      "launch_url": "https://example.com/…",
      "icon_url": "https://example.com/…"
    }
  ],
  "customLinks": [
    {
      "id": 42,
      "name": "Example name",
      "url": "https://example.com/…",
      "icon_url": "https://example.com/…"
    }
  ]
}

Errors

StatusMessage
404User not found
404Tenant not found

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/tenant/licenses' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Is the organisation licensed for an app? (legacy)

POST/tenant/check-license
Address
https://<your-org>.brambleit.cloud/api/tenant/check-license
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).

Request body JSON

NameTypeDescription
application_idinteger

Response 200

FieldTypeDescription
messagestring
licensedboolean
userobject
user.idinteger
user.emailstring
tenantany
applicationobject
application.application_idinteger
application.application_namestring
application.application_linkany
application.application_logoany
licenseobject
license.package_idinteger
license.package_namestring
license.package_descriptionstring
license.license_expiryany
Example response
JSON
{
  "message": "Saved",
  "licensed": false,
  "user": {
    "id": 42,
    "email": "alex@example.com"
  },
  "tenant": null,
  "application": {
    "application_id": 7,
    "application_name": "Example application name",
    "application_link": null,
    "application_logo": null
  },
  "license": {
    "package_id": 7,
    "package_name": "Example package name",
    "package_description": "string",
    "license_expiry": null
  }
}

Errors

StatusMessage
404User not found
404Tenant not found
403User is not licensed for this application

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/tenant/check-license' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"application_id":7}'